Package oracle.dbtools.plugin.api.servlet

## Enum EntityTag.Strength

- java.lang.Object
- - java.lang.Enum<EntityTag.Strength>
  - - oracle.dbtools.plugin.api.servlet.EntityTag.Strength

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EntityTag.Strength>`
  Enclosing interface:
    EntityTag

      public static enum EntityTag.Strength
      extends java.lang.Enum<EntityTag.Strength>

  The 'strength' of the ETag value:

  > A "strong entity tag" MAY be shared by two entities of a resource only if they are equivalent by octet equality. A "weak entity tag," indicated by the "W/" prefix, MAY be shared by two entities of a resource only if the entities are equivalent and could be substituted for each other with no significant change in semantics. A weak entity tag can only be used for weak comparison.

  Author:
    cdivilly

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `STRONG` |
    `WEAK` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EntityTag.Strength` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EntityTag.Strength[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WEAK

          public static final EntityTag.Strength WEAK

    - #### STRONG

          public static final EntityTag.Strength STRONG

  - ### Method Detail

    - #### values

          public static EntityTag.Strength[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EntityTag.Strength c : EntityTag.Strength.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EntityTag.Strength valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null